
/****************************************************************
*			Hi-Tech workshop exercise Lab5					*
****************************************************************/

#include <pic.h>				// processor if/def file

// ================================================================
// **** Establish PIC16F887 Configuration Word
// UԲӳ]weаѦ : pic16f887.h ̪
// 

__CONFIG ( FOSC_INTRC_CLKOUT & WDTE_OFF & PWRTE_OFF & MCLRE_ON & CP_OFF & CPD_OFF &
           BOREN_OFF & IESO_OFF & FCMEN_OFF & LVP_OFF ); 

__CONFIG ( BOR4V_BOR40V & WRT_OFF );


const 	char 	ROMarray[ ]="Microchip Hi-Tech PICC Workshop";
const 	char 	*romptr;     		// ROM pointer defined 

char 	RAMarray1[32];				// Define 32 bytes for Pointer access	
bank2 	char 	RAMarray2[32];		// Define 32 bytes at Bank2 for Array access
char 	*ramptr;					// RAM pointer defined

void Pointer_Access (void)
{
   	romptr = ROMarray;    
	ramptr = RAMarray1;

  	while(*romptr)	 			// test for NULL char
	{       	
    	*ramptr++ = *romptr++ ;
  	}
}

void Array_Access(void)
{
	char i=0;

	while (ROMarray[i])
	{
		RAMarray2[i]=ROMarray[i];
		i++;
	}				
}

void main( void )
{
	Pointer_Access();
	Array_Access();

  	while(1);
}
